# Created by pyp2rpm-3.0.2
%global pypi_name dns
%global python_name dnspython

Name:           python-%{pypi_name}
Version:        1.14.0
Release:        1%{?dist}
Summary:        DNS toolkit

License:        BSD-like
URL:            http://www.dnspython.org
Source0:        https://pypi.python.org/packages/e1/ab/36f4e337d6cf6590f9cf46349f519b682542d211c604755ab8409f67f26b/%{python_name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%if 0%{?fedora}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%endif

%description
dnspython is a DNS toolkit for Python. It supports almost all
record types. It
can be used for queries, zone transfers, and dynamic
updates.  It supports TSIG
authenticated messages and EDNS0.

dnspython provides both high and low level
access to DNS. The high
level classes perform queries for data of a given name,
type, and
class, and return an answer set.  The low level classes allow
direct
...

%package -n     python2-%{pypi_name}
Summary:        DNS toolkit
%if 0%{?fedora} > 19
%{?python_provide:%python_provide python2-%{pypi_name}}
%endif


%description -n python2-%{pypi_name}
dnspython is a DNS toolkit for Python. It supports almost all
record types. It
can be used for queries, zone transfers, and dynamic
updates.  It supports TSIG
authenticated messages and EDNS0.

dnspython provides both high and low level
access to DNS. The high
level classes perform queries for data of a given name,
type, and
class, and return an answer set.  The low level classes allow
direct
...

%if 0%{?fedora} > 19
%package -n     python3-%{pypi_name}
Summary:        DNS toolkit
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
dnspython is a DNS toolkit for Python. It supports almost all
record types. It
can be used for queries, zone transfers, and dynamic
updates.  It supports TSIG
authenticated messages and EDNS0.

dnspython provides both high and low level
access to DNS. The high
level classes perform queries for data of a given name,
type, and
class, and return an answer set.  The low level classes allow
direct
...
%endif


%prep
%autosetup -n %{python_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%if 0%{?fedora}
%py3_build
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?fedora}
%py3_install
%endif


%py2_install


%files -n python2-%{pypi_name}
%doc README.md LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{python_name}-%{version}-py?.?.egg-info

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc README.md LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{python_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Mon May 30 2016 Andrey Bardin <a15y87@gmail.com> - 1.14.0-1
- Initial package.
